<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <title>Specify Resource Classes (Simple Root)</title>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
        <link rel="stylesheet" href=
              "nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
        <meta name="keywords" content="rest, patterns">
    </head>
    <body>
        <p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
        <h2>RESTful Web Services from Patterns Wizard: Specify Resource Classes (Simple Root)</h2>
        <p>In this panel of the RESTful Web Services from Patterns Wizard, you specify the resource classes.</p>  
        <p>This panel is for a simple RESTful root resource class with GET and PUT methods using Java API for RESTful Web Service (JSR-311). This pattern is useful for creating a simple HelloWorld service and wrapper services for invoking WSDL-based web services. If you need a more sophisticated pattern, press the Back button and select the Container-Item or Client Controlled Container-Item pattern.
</p>
<p>This panel contains the following fields, which specify the class name, URI, and representation type of the resource.
</p>
<ul>
    <li><strong>Project.</strong> The NetBeans IDE project containing this RESTful service. The value is generated by the IDE.</li>
    <li><strong>Location.</strong> The parent directory inside the NetBeans IDE project that contains the RESTful service. By default this is the Source Packages directory.</li>
    <li><strong>Resource Package.</strong> The package containing the RESTful service classes. Select from a drop-down list of packages or type the name of a new package. These packages are in the directory specified in the Location field.</li>
    <li><strong>Path.</strong> The path, passed as an argument of the <code>@Path</code> annotation. By default the Path is "generic." The default Path annotation is therefore <code>@Path("generic")</code>.</li>
    <li><strong>Class Name.</strong> Name of the resource class. Default name is GenericResource.</li>
    <li><strong>MIME Type.</strong> MIME type of RESTful service requests and responses, passed as arguments of the <code>@Produces</code> and <code>@Consumes</code> annotations. The default MIME type is application/xml. Therefore the default <code>@Produces</code> and <code>@Consumes</code> annotations are <code>@Produces("application/xml")</code> and <code>@Consumes("application/xml")</code>.</li>
    <li><strong>Representation Class.</strong> Class of the representation of the service class instance returned by a get method. Default class is <code>java.lang.String</code>.</li>
</ul>
        <dl> 
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="../../about/about_rest.html">About RESTful Web Services</a></dd>
  <dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
          <param name="content" value="http://docs.oracle.com/cd/E19776-01/820-4867/index.html">
          <param name="text" value="<html><u>RESTful Web Service Developer's Guide</u></html>">
          <param name="textFontSize" value="medium">
          <param name="textColor" value="blue">
      </object></dd>
  </dl>

<hr><small><a href="../../../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
    </body>
</html>
